Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.openspml.client
Class SOAPClient

    java.lang.Object
      |
      +--org.openspml.client.SOAPClient

public class SOAPClient
extends java.lang.Object

A class providing a simplfied interface for making message-oriented SOAP requests using the Apache 2.2 SOAP library.

Constructor Summary
`SOAPClient()`

Method Summary
`java.lang.String` | `receive()` Retrieve a response to a previous `send` call and return it as a string of XML.
`void` | `send(java.net.URL url, java.lang.String action, java.lang.String message)` Send a SOAP message already rendered as XML wrapping it in a suitable Envelope and Body.
`void` | `setBodyAttributes(java.lang.String s)`
`void` | `setHeader(java.lang.String s)`
`void` | `setMonitor(SOAPMonitor m)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### SOAPClient

    public SOAPClient()

Method Detail

### setMonitor

    public void setMonitor(SOAPMonitor m)

### setHeader

    public void setHeader(java.lang.String s)

### setBodyAttributes

    public void setBodyAttributes(java.lang.String s)

### send

    public void send(java.net.URL url,
                     java.lang.String action,
                     java.lang.String message)
              throws org.openspml.client.SOAPException

  Send a SOAP message already rendered as XML wrapping it in a suitable Envelope and Body.

### receive

    public java.lang.String receive()
                             throws org.openspml.client.SOAPException,
                                    org.openspml.client.MessagingException,
                                    java.io.IOException

  Retrieve a response to a previous `send` call and return it as a string of XML.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD